## lomiri-ui-toolkit 1.3.5000+dfsg

=== documentation/autopilot-helpers/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sdkhelpers.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sdkhelpers.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sdkhelpers"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sdkhelpers"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## lomiri-ui-toolkit 1.3.3000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.3000+dfsg-5build1) jammy; urgency=medium

  * No-change rebuild against liblttng-ust1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Jan 2022 22:35:27 +0000

lomiri-ui-toolkit (1.3.3000+dfsg-5) unstable; urgency=medium

  * debian/control:
    + Drop hard-dependency (liblomirimetrics5) on liblttng-ust0.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Dec 2021 10:51:23 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-4) unstable; urgency=medium

  * Re-upload as is to unstable. (Now really!).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 22:05:08 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-3) unstable; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:45:20 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-2) experimental; urgency=medium

  * debian/control:
    + Use non-transitional bin:pkg 'fonts-ubuntu' now, downgrade to Suggests:
      field (Ubuntu fonts are in non-free, so...).
  * debian/copyright:
    + Update license information (CC-BY-SA-3.0) for artwork files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 May 2021 14:05:11 +0200

lomiri-ui-toolkit (1.3.3000+dfsg-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #962301).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 May 2021 22:53:41 +0200

=== debian/control ===
Source: lomiri-ui-toolkit
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: accountsservice <!nocheck>,
               dbus <!nocheck>,
               dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               devscripts,
               gdb,
               libdbus-1-dev,
               libevdev-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgl1-mesa-dri,
               libgles2-mesa-dev,
               libglib2.0-dev,
               libinput-dev,
               liblttng-ust-dev,
               libmtdev-dev,
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               libqt5systeminfo5,
               libudev-dev,
               libx11-dev[!armhf],
               libxcb1-dev[!armhf],
               libxi-dev[!armhf],
               libxkbcommon-dev,
               libxrender-dev,
               locales,
               lsb-release,
               pycodestyle <!cross> | pep8 <!cross>,
               python3-debian <!cross>,
               python3-sphinx <!cross>,
               python3:any <!cross>,
               qml-module-qt-labs-settings,
               qml-module-qtfeedback,
               qml-module-qtgraphicaleffects,
               qml-module-qtqml-models2,
               qml-module-qtquick-layouts,
               qml-module-qtquick-localstorage,
               qml-module-qtquick-window2,
               qml-module-qtquick2,
               qml-module-qttest,
               qtbase5-dev,
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.12.8~),
               qtdeclarative5-dev-tools,
               qtdeclarative5-doc-html <!cross>,
               qtdeclarative5-private-dev,
               qtmultimedia5-doc-html <!cross>,
               qtpim5-dev (>= 5.0~git20171109.0bd985b~),
               qtscript5-doc-html <!cross>,
               qtsvg5-doc-html <!cross>,
               qtsystems5-dev,
               qtsystems5-private-dev,
               qttools5-dev-tools,
               suru-icon-theme (>= 20.05~),
               uuid-runtime,
               xvfb <!nocheck>,
               xauth <!nocheck>,
               pkg-kde-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-ui-toolkit/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit/

Package: qml-module-lomiri-components
Architecture: any
Multi-Arch: same
Depends: liblomirigestures5 (= ${binary:Version}),
         liblomirimetrics5 (= ${binary:Version}),
         liblomiritoolkit5 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-components-labs,
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme (>= 14.04+16.10.20160720),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri,
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qt-components-lomiri,
          qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Provides: qt-components-lomiri,
Suggests: fonts-ubuntu,
Description: Qt Components for Lomiri - Components QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components QML plugin.

Package: qml-module-lomiri-components-labs
Architecture: any
Multi-Arch: same
Depends: liblomirigestures5 (= ${binary:Version}),
         liblomirimetrics5 (= ${binary:Version}),
         liblomiritoolkit5 (= ${binary:Version}),
         libqt5svg5,
         lomiri-ui-toolkit-theme (= ${binary:Version}),
         qml-module-lomiri-performancemetrics,
         qml-module-qtfeedback,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         suru-icon-theme,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qt-components-lomiri-labs,
Replaces: qt-components-lomiri-labs,
Provides: qt-components-lomiri-labs,
Suggests: fonts-ubuntu,
Description: Qt Components Labs for Lomiri - Components QML plugin
 Qt Components Labs for Lomiri offers a set of non-released and mostly
 unstable user interface components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Components Labs QML plugin.

Package: qml-module-lomiri-layouts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Layouts QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Layouts QML plugin.

Package: qml-module-lomiri-test
Architecture: any
Multi-Arch: same
Depends: qml-module-lomiri-components,
         qml-module-qttest | qtdeclarative5-test-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Test QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Test QML plugin.

Package: qml-module-lomiri-performancemetrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - PerformanceMetrics QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri PerformanceMetrics QML plugin.

Package: qml-module-lomiri-metrics
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Replaces: qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
Description: Qt Components for Lomiri - Metrics QML plugin
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Lomiri Metrics QML plugin.

Package: liblomirigestures5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library supporting Gesture recognition for Lomiri UI Toolkit
 Classes for SwipeArea, and for Lomiri Gestures in general.

Package: liblomirigestures-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri gestures library with SwipeArea

Package: liblomirigestures5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri gestures library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 Lomiri gestures library with SwipeArea

Package: liblomirimetrics5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Library for monitoring QtQuick 2 applications

Package: liblomirimetrics-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for the
 Lomiri metrics library

Package: liblomirimetrics5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri metrics library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 the Lomiri metrics library

Package: liblomiritoolkit5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library for Lomiri UI Toolkit
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 Contains components and helper classes that are shared between the
 Lomiri QML plugins

Package: liblomiritoolkit-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the development files for
 Lomiri toolkit common library

Package: liblomiritoolkit5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri toolkit common library private development files
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the private development files for
 Lomiri toolkit common library

Package: lomiri-ui-toolkit-theme
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: qt-components-lomiri,
Description: Qt Components for Lomiri - Lomiri Theme
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains the Ambiance theme for Qt Lomiri Components.

Package: lomiri-ui-toolkit-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!cross>
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: qtdeclarative5-doc-html,
          qtmultimedia5-doc-html,
          qtscript5-doc-html,
          qtsvg5-doc-html,
Conflicts: qt-components-lomiri-doc,
Replaces: qt-components-lomiri-doc,
Provides: qt-components-lomiri-doc,
Description: Qt Components for Lomiri - documentation
 Qt Components for Lomiri offers a set of reusable user interface
 components for Qt Quick 2 / QML.
 .
 This package contains developer documentation.

Package: lomiri-ui-toolkit-examples
Section: devel
Architecture: any
Depends: lomiri-ui-toolkit-theme (= ${binary:Version}),
         lomiri-ui-toolkit-tools (>= ${source:Version}),
         qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtqml-models2,
         qml-module-qtquick-xmllistmodel,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libqt5multimedia5-plugins,
            lomiri-ui-toolkit-doc,
Conflicts: qt-components-lomiri-demos,
           qt-components-lomiri-examples,
Replaces: qt-components-lomiri-demos,
          qt-components-lomiri-examples,
Provides: qt-components-lomiri-demos,
          qt-components-lomiri-examples,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://gitlab.com/ubports/core/lomiri-ui-toolkit/tags .*/lomiri-ui-toolkit-(\d\S+)\.tar\.gz

## lomiri-ui-toolkit 1.3.4000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.4000+dfsg-1build2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 12:51:26 +0300

lomiri-ui-toolkit (1.3.4000+dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Sep 2022 17:04:12 +0300

lomiri-ui-toolkit (1.3.4000+dfsg-1) unstable; urgency=medium

  * New upstream release v1.3.4000
  * debian/rules: flip logic around to only define know working test arches
  * patches: Remove upstreamed patch
    - 1001_typo-fixes.patch
  * debian/patches: Fix and skip flaky tests on qt 5.15.4
  * debian/control: Add myself as uploader
  * debian/copyright: Update copyright to match upstream release
  * debian/sybols: Update symbols to match new release

 -- Marius Gripsgard <marius@ubports.com>  Tue, 21 Jun 2022 17:44:34 +0200

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export HOME := $(shell realpath .)
export QT_SELECT=qt5

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# Cross compiling
	CONFIGURE_OPTS += "CONFIG+=no_docs" "CONFIG+=cross_compile"
endif

# Skip tests on the archs they are known to be flaky with current configuration
# So lets define known working arches here to run test on
test_architectures := all amd64 arm64 armel i386

override_dh_auto_configure:
	qmake -r CONFIG+=debian_build $(CONFIGURE_OPTS) QMAKE_CFLAGS="$(CFLAGS)" QMAKE_CXX_FLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="${LDFLAGS}"

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p debian/tmp/home/run
	chmod +x tests/xvfb.sh
ifeq (,$(filter $(DEB_HOST_ARCH),$(test_architectures)))
	-tests/xvfb.sh dh_auto_test --no-parallel
else
	tests/xvfb.sh dh_auto_test --no-parallel
endif
endif

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- docs

override_dh_install:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	mkdir -p debian/tmp/`qmake -query QT_INSTALL_DOCS`/qch
	mkdir -p debian/tmp/usr/share/lomiri-ui-toolkit/doc
	cp -r $(CURDIR)/documentation/*qch debian/tmp/`qmake -query QT_INSTALL_DOCS`/qch
else
	# Add empty qmltypes files
	for module in "Components" "Components/Labs" "Components/Styles" "Layouts" "Metrics" "PerformanceMetrics"; \
	do \
		touch debian/tmp/`qmake -query QT_INSTALL_QML`/Lomiri/$$module/plugins.qmltypes; \
	done
endif
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Due to autopilot not being in the archive we ship docs for now
	# sphinx-build -b singlehtml documentation/autopilot-helpers documentation/autopilot-helpers/_build/html
	# sphinx-build -b json documentation/autopilot-helpers documentation/autopilot-helpers/_build/json
	# Drop QML types used to test apicheck only
	rm -f  debian/tmp/usr/lib/*/qt5/qml/Extinct/Animals/*

	# drop lomiri-ui-toolkit-autopilot files, not buildable on non-Ubuntu systems
	rm -f  debian/tmp/usr/lib/*/lomiri-ui-toolkit/apicheck
	rm -Rf debian/tmp/usr/lib/python3

	# drop empty directory
	rm debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/Makefile
	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.pch/
	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.obj/

	mv debian/tmp/usr/bin/app-launch-profiler-lttng debian/tmp/usr/bin/lomiri-app-launch-profiler-lttng
	mv debian/tmp/usr/bin/appstart_test debian/tmp/usr/bin/lomiri-appstart-test
	mv debian/tmp/usr/bin/profile_appstart.sh debian/tmp/usr/bin/lomiri-appstart-profile

	# drop references to the build chroot
	sed -i debian/tmp/usr/lib/*/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"
	sed -i debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	-dh_auto_clean

	# Qt / qmake creates <FolderName>.version files which don't
	# chget clean-up properly by 'make distclean'
	-find . -name '*.version' -delete

	# Delete additional files
	rm -rvf \
	       .cache/ \
	       .config/ \
	       .local/ \
	       xvfb.err \
	       ;

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..

## lomiri-ui-toolkit 1.3.5000+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5000+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Various local rebuilds did not show any FTBFS behaviour anymore.
      (Closes: #1030452).
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Add 0002-fix-tests-on-qt-5.15.5.patch.
    + Drop patches 1002, 1003 and 1005.
    + Rebase 0002-fix-tests-on-qt-5.15.5.patch.
  * debian/rules:
    + No need to rename scripts files anymore. Upstream accepted our patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/liblomiritoolkit5.symbols:
    + Add missing symbol.
  * lintian: Update line numbers in overrides.

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Add file.
    + Let blhc fail.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 16:58:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <marius@ubports.com>,
 Build-Depends: accountsservice <!nocheck>,
                dbus <!nocheck>,
                dbus-test-runner <!nocheck>,
@@ -63,9 +63,9 @@
                xvfb <!nocheck>,
                xauth <!nocheck>,
                pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-ui-toolkit/
+Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit/

## lomiri-ui-toolkit 1.3.5010+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5010+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.
    - FTBFS discovered in sid-rebuilds not reproducible. (Closes: #1031446).
  * debian/control:
    + Resolve dev:pkg dependencies. Resolves crossbuilds of Lomiri.
    + Switch from fonts-ubuntu to fonts-noto*.
  * debian/patches:
    + Add 2003_stop-using-Ubuntu-fonts.patch. Stop using Ubuntu fonts, use
      Noto fonts alternatively.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 18:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                debhelper-compat (= 13),
                devscripts,
                gdb,
+               fonts-noto-core,
+               fonts-noto-mono,
                libdbus-1-dev,
                libevdev-dev,
                libfontconfig1-dev,
@@ -85,6 +87,8 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          suru-icon-theme (>= 14.04+16.10.20160720),
+         fonts-noto-core,
+         fonts-noto-mono,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: qt-components-lomiri,
@@ -92,7 +96,6 @@
 Replaces: qt-components-lomiri,
           qtdeclarative5-lomiri-ui-toolkit-plugin (<< 1.3.3000~),
 Provides: qt-components-lomiri,
-Suggests: fonts-ubuntu,
 Description: Qt Components for Lomiri - Components QML plugin
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
@@ -114,12 +117,13 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          suru-icon-theme,
+         fonts-noto-core,
+         fonts-noto-mono,
          ${misc:Depends},
          ${shlibs:Depends},
 Conflicts: qt-components-lomiri-labs,
 Replaces: qt-components-lomiri-labs,
 Provides: qt-components-lomiri-labs,
-Suggests: fonts-ubuntu,
 Description: Qt Components Labs for Lomiri - Components QML plugin
  Qt Components Labs for Lomiri offers a set of non-released and mostly
  unstable user interface components for Qt Quick 2 / QML.
@@ -196,7 +200,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirigestures5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -209,7 +214,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirigestures-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -233,7 +239,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirimetrics5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -246,7 +253,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomirimetrics-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -271,7 +279,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomiritoolkit5 (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -284,7 +293,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: liblomiritoolkit-dev (= ${binary:Version}),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library private development files
  Qt Components for Lomiri offers a set of reusable user interface
@@ -333,14 +343,3 @@
          qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
          qml-module-qt-labs-folderlistmodel,
          qml-module-qtqml-models2,
-         qml-module-qtquick-xmllistmodel,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: libqt5multimedia5-plugins,
-            lomiri-ui-toolkit-doc,
-Conflicts: qt-components-lomiri-demos,
-           qt-components-lomiri-examples,
-Replaces: qt-components-lomiri-demos,
-          qt-components-lomiri-examples,
-Provides: qt-components-lomiri-demos,
-          qt-components-lomiri-examples,

=== debian/rules ===
--- 
+++ 
@@ -71,10 +71,6 @@
 	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.pch/
 	rmdir debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/.obj/
 
-	mv debian/tmp/usr/bin/app-launch-profiler-lttng debian/tmp/usr/bin/lomiri-app-launch-profiler-lttng
-	mv debian/tmp/usr/bin/appstart_test debian/tmp/usr/bin/lomiri-appstart-test
-	mv debian/tmp/usr/bin/profile_appstart.sh debian/tmp/usr/bin/lomiri-appstart-profile
-
 	# drop references to the build chroot
 	sed -i debian/tmp/usr/lib/*/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"
 	sed -i debian/tmp/usr/lib/*/qt5/examples/lomiri-ui-toolkit/examples/calculator/components/*.prl -e "/^QMAKE_PRL_BUILD_DIR.*/d"

## lomiri-ui-toolkit 1.3.5100+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5100+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:26:02 +0300

lomiri-ui-toolkit (1.3.5100+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:59:11 +0000

lomiri-ui-toolkit (1.3.5100+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-fix-tests-on-qt-5.15.4.patch, 0002-fix-tests-on-qt-
      5.15.5.patch. Issues handled upstream.
    + Drop 2002_exclude-dodgy-tests-for-now.patch, 2005_disable-test-failing-
      with-Qt-5.15.11.patch. No test failures to be expected anymore.
    + Add 'import QtQml 2.14' to 0003-src-imports-Components-Themes-Ambiance-
      1.3-Scrollbar.patch. (Closes: #1067009).
  * debian/copyright:
    + Update Files-Excluded: section. Add upstream's debian/ folder.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers.
  * debian/*.lintian-overrides:
    + Adjust library names in package-name-doesnt-match-sonames overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Mar 2024 08:11:03 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Disable tst_UCUnits::gridUnitEnvironmentVariable() that fails with
    Qt 5.15.11 because of a change in minimal platform plugin. (Closes:
    #1060761).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 10:09:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-4) unstable; urgency=medium

  * debian/liblomiri*.symbols:
    + Drop files. Having caused more woes than happiness, esp. in relation
      to cross-distro maintenance (Debian/Ubuntu).
  * debian/rules:
    + Stop using pkgkde_symbolshelper tool.
  * debian/control:
    + Drop from B-D: pkg-kde-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 08:19:46 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch.
      Explicitly set >= Qt5.14 property Binding.restoreMode to avoid many log
      warnings.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Feb 2024 09:00:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062671

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:48:59 +0000

lomiri-ui-toolkit (1.3.5012+dfsg-2) unstable; urgency=medium

  * Re-upload with changes of 1.3.5010+dfsg-2 and 1.3.5010+dfsg-3 included.
    (1.3.5012+dfsg-1 was created without pulling in Marius Gripsgard's work).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:50:16 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with Qt >= 5.15.11. (Closes: #1060761).
  * debian/patches:
    + Drop 1004_stop-privacy-breach-in-documenation-files.patch. Not required
      anymore to prevent privacy breach.
    + Trivial rebase of 0002-fix-tests-on-qt-5.15.5.patch and 2003_stop-using-
      Ubuntu-fonts.patch.
    + Add patch header to 2003_stop-using-Ubuntu-fonts.patch.
  * debian/control:
    + Change B-D from libfontconfig1-dev -> libfontconfig-dev and libtruetype6-
      dev to libtruetype-dev. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers of file-contains-fixme-placeholder overrides.
  * debian/lomiri-ui-toolkit-doc.install:
    + API documentation is now already installed to the place we want them at.
      No need to move the dirtree around anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 21:07:43 +0100

lomiri-ui-toolkit (1.3.5010+dfsg-3) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS on s390x

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 19:46:09 +0200

lomiri-ui-toolkit (1.3.5010+dfsg-2) unstable; urgency=medium

  * debian/patches: Add another flaky test spotted with
    qt 5.15.10 (Closes: #1040800)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 03:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -15,8 +16,8 @@
                fonts-noto-mono,
                libdbus-1-dev,
                libevdev-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
                libgl1-mesa-dri,
                libgles2-mesa-dev,
                libglib2.0-dev,
@@ -64,7 +65,6 @@
                uuid-runtime,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-               pkg-kde-tools,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
@@ -74,9 +74,9 @@
 Package: qml-module-lomiri-components
 Architecture: any
 Multi-Arch: same
-Depends: liblomirigestures5 (= ${binary:Version}),
-         liblomirimetrics5 (= ${binary:Version}),
-         liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
+         liblomirimetrics5t64 (= ${binary:Version}),
+         liblomiritoolkit5t64 (= ${binary:Version}),
          libqt5svg5,
          lomiri-ui-toolkit-theme (= ${binary:Version}),
          qml-module-lomiri-components-labs,
@@ -105,9 +105,9 @@
 Package: qml-module-lomiri-components-labs
 Architecture: any
 Multi-Arch: same
-Depends: liblomirigestures5 (= ${binary:Version}),
-         liblomirimetrics5 (= ${binary:Version}),
-         liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
+         liblomirimetrics5t64 (= ${binary:Version}),
+         liblomiritoolkit5t64 (= ${binary:Version}),
          libqt5svg5,
          lomiri-ui-toolkit-theme (= ${binary:Version}),
          qml-module-lomiri-performancemetrics,
@@ -184,7 +184,10 @@
  .
  This package contains the Lomiri Metrics QML plugin.
 
-Package: liblomirigestures5
+Package: liblomirigestures5t64
+Provides: ${t64:Provides}
+Replaces: liblomirigestures5
+Breaks: liblomirigestures5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -200,7 +203,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomirigestures5 (= ${binary:Version}),
+Depends: liblomirigestures5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri gestures library development files
@@ -224,7 +227,10 @@
  This package contains the private development files for
  Lomiri gestures library with SwipeArea
 
-Package: liblomirimetrics5
+Package: liblomirimetrics5t64
+Provides: ${t64:Provides}
+Replaces: liblomirimetrics5
+Breaks: liblomirimetrics5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -239,7 +245,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomirimetrics5 (= ${binary:Version}),
+Depends: liblomirimetrics5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri metrics library development files
@@ -263,7 +269,10 @@
  This package contains the private development files for
  the Lomiri metrics library
 
-Package: liblomiritoolkit5
+Package: liblomiritoolkit5t64
+Provides: ${t64:Provides}
+Replaces: liblomiritoolkit5
+Breaks: liblomiritoolkit5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -279,7 +288,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liblomiritoolkit5 (= ${binary:Version}),
+Depends: liblomiritoolkit5t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri toolkit common library development files
@@ -333,13 +342,3 @@
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
  .
- This package contains developer documentation.
-
-Package: lomiri-ui-toolkit-examples
-Section: devel
-Architecture: any
-Depends: lomiri-ui-toolkit-theme (= ${binary:Version}),
-         lomiri-ui-toolkit-tools (>= ${source:Version}),
-         qml-module-lomiri-components (= ${binary:Version}) | qml-module-lomiri-components-gles,
-         qml-module-qt-labs-folderlistmodel,
-         qml-module-qtqml-models2,

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	qmake -r CONFIG+=debian_build $(CONFIGURE_OPTS) QMAKE_CFLAGS="$(CFLAGS)" QMAKE_CXX_FLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="${LDFLAGS}"
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/tags .*/lomiri-ui-toolkit-(\d\S+)\.tar\.gz

## lomiri-ui-toolkit 1.3.5110%2Bdfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5110+dfsg-2build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:23:14 +0300

lomiri-ui-toolkit (1.3.5110+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_prepare-Alarm-component-to-support-others-alarm-back.patch.
      Support ALARM_BACKEND variable so it can be set to 'mkcal'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 18:01:30 +0100

lomiri-ui-toolkit (1.3.5110+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch and
      0004_LomiriToolkit-enable-X11-touch-emulation-on-all-architectures.patch.
      Both applied upstream.
    + Rebase 2003_stop-using-Ubuntu-fonts.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 11:28:21 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004_LomiriToolkit-enable-X11-touch-emulation-on-all-
      architectures.patch. LomiriToolkit: enable X11 touch emulation
      on all architectures. (Closes: #1069558).
  * debian/control:
    + Install libx11-dev, libxcb1-dev and libxi-dev via B-D also when building
      on armhf.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/rules:
    + Add armhf as test architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 18:44:51 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop from B-D: libqt5systeminfo5 (should get pulled in via qtsystems5-dev,
      already in B-D). (Closes: #1078725).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 14:17:14 +0200

## lomiri-ui-toolkit 1.3.5110+dfsg

=== debian/changelog ===
lomiri-ui-toolkit (1.3.5110+dfsg-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 17 Apr 2025 02:16:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-ui-toolkit
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -26,11 +25,10 @@
                libmtdev-dev,
                libqt5sql5-sqlite,
                libqt5svg5-dev,
-               libqt5systeminfo5,
                libudev-dev,
-               libx11-dev[!armhf],
-               libxcb1-dev[!armhf],
-               libxi-dev[!armhf],
+               libx11-dev,
+               libxcb1-dev,
+               libxi-dev,
                libxkbcommon-dev,
                libxrender-dev,
                locales,
@@ -65,7 +63,7 @@
                uuid-runtime,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-ui-toolkit/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-ui-toolkit.git
@@ -342,3 +340,8 @@
  Qt Components for Lomiri offers a set of reusable user interface
  components for Qt Quick 2 / QML.
  .
+ This package contains developer documentation.
+
+Package: lomiri-ui-toolkit-examples
+Section: devel
+Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Skip tests on the archs they are known to be flaky with current configuration
 # So lets define known working arches here to run test on
-test_architectures := all amd64 arm64 armel i386
+test_architectures := all amd64 arm64 armhf armel i386
 
 override_dh_auto_configure:
 	qmake -r CONFIG+=debian_build $(CONFIGURE_OPTS) QMAKE_CFLAGS="$(CFLAGS)" QMAKE_CXX_FLAGS="$(CXXFLAGS)" QMAKE_LFLAGS="${LDFLAGS}"
@@ -29,7 +29,7 @@
 	dh $@
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p debian/tmp/home/run
 	chmod +x tests/xvfb.sh
 ifeq (,$(filter $(DEB_HOST_ARCH),$(test_architectures)))
@@ -94,6 +94,11 @@
 	       .local/ \
 	       xvfb.err \
 	       ;
+	rm -rf qml
+	rm -rf po/*.mo
+	rm -rf examples/lomiri-ui-toolkit-gallery/po/*.mo
+	rm -f build_paths.inc
+	rm -f src/*/*.version.in
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
